| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxGridCellEnumRenderer Class Reference
Grid Related Classes

`#include <wx/grid.h>`

Inheritance diagram for wxGridCellEnumRenderer:
[legend]

## Detailed Description

This class may be used to render in a cell a number as a textual equivalent.

The corresponding text strings are specified as comma-separated items in the string passed to this renderer ctor or SetParameters() method. For example, if this string is `"John,Fred,Bob"` the cell will be rendered as "John", "Fred" or "Bob" if its contents is 0, 1 or 2 respectively.

##

Library: wxAdvanced
Category: Grid Related Classes

See Also
  wxGridCellRenderer, wxGridCellAutoWrapStringRenderer, wxGridCellBoolRenderer, wxGridCellDateTimeRenderer, wxGridCellFloatRenderer, wxGridCellNumberRenderer, wxGridCellStringRenderer

## Public Member Functions
| wxGridCellEnumRenderer (const wxString &choices=wxEmptyString)
| Enum renderer ctor.
virtual void | SetParameters (const wxString &params)
| Sets the comma separated string content of the enum.
Public Member Functions inherited from wxGridCellStringRenderer
| wxGridCellStringRenderer ()
| Default constructor.
Public Member Functions inherited from wxGridCellRenderer
| wxGridCellRenderer ()
virtual wxGridCellRenderer * | Clone () const =0
| This function must be implemented in derived classes to return a copy of itself.
virtual void | Draw (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, const wxRect &rect, int row, int col, bool isSelected)=0
| Draw the given cell on the provided DC inside the given rectangle using the style specified by the attribute and the default or selected state corresponding to the isSelected value.
virtual wxSize | GetBestSize (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, int row, int col)=0
| Get the preferred size of the cell for its contents.
Public Member Functions inherited from wxClientDataContainer
| wxClientDataContainer ()
| Default constructor.
virtual | ~wxClientDataContainer ()
| Destructor.
void * | GetClientData () const
| Get the untyped client data.
wxClientData * | GetClientObject () const
| Get a pointer to the client data object.
void | SetClientData (void *data)
| Set the untyped client data.
void | SetClientObject (wxClientData *data)
| Set the client data object.
Public Member Functions inherited from wxRefCounter
| wxRefCounter ()
| Default constructor.
void | DecRef ()
| Decrements the reference count associated with this shared data and, if it reaches zero, destroys this instance of wxRefCounter releasing its memory.
int | GetRefCount () const
| Returns the reference count associated with this shared data.
void | IncRef ()
| Increments the reference count associated with this shared data.

## Additional Inherited Members
Protected Member Functions inherited from wxGridCellRenderer
virtual | ~wxGridCellRenderer ()
| The destructor is private because only DecRef() can delete us.

## Constructor & Destructor Documentation

wxGridCellEnumRenderer::wxGridCellEnumRenderer | ( | const wxString & | choices = `wxEmptyString` | ) |

Enum renderer ctor.

Parameters

  choices | Comma separated string parameters "item1[,item2[...,itemN]]".

## Member Function Documentation

virtual void wxGridCellEnumRenderer::SetParameters | ( | const wxString & | params | ) |
| virtual

Sets the comma separated string content of the enum.

Parameters

  params | Comma separated string parameters "item1[,item2[...,itemN]]".